# FoundationClasses
TKernel
Storage

# Storage_InternalData Class Reference

`#include <Storage_InternalData.hxx>`

Inheritance diagram for Storage_InternalData:

[legend]

## Public Member Functions

Standard_EXPORT | Storage_InternalData ()
Standard_EXPORT void | Clear ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Storage_BucketOfPersistent | myPtoA
Standard_Integer | myObjId
Standard_Integer | myTypeId
Handle_Storage_HPArray | myReadArray
Storage_MapOfCallBack | myTypeBinding

## Constructor & Destructor Documentation

Standard_EXPORT Storage_InternalData::Storage_InternalData | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void Storage_InternalData::Clear | ( |  | ) |

Standard_EXPORT const Storage_InternalData::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

## Field Documentation

Standard_Integer Storage_InternalData::myObjId `[private]`

Storage_BucketOfPersistent Storage_InternalData::myPtoA `[private]`

Handle_Storage_HPArray Storage_InternalData::myReadArray `[private]`

Storage_MapOfCallBack Storage_InternalData::myTypeBinding `[private]`

Standard_Integer Storage_InternalData::myTypeId `[private]`

The documentation for this class was generated from the following file:

- Storage_InternalData.hxx